Please note that JavaScript and style sheet are used in this website,
Due to unadaptability of the style sheet with the browser used in your computer, pages may not look as original.
Even in such a case, however, the contents can be used safely.

服务运行平台软件-支持软件

WebOTX Application Server 、WebOTX Enterprise Service Bus对如下软件提供支持:
1、支持的Web服务器:

  • WebOTX Web服务器 2.0.63 以上、2.2.15以上 (*1)
  • Apache HTTP Server 2.0.63 以上、2.2.15以上
  • Internet Information Services (IIS) 6.0、7.0、7.5
  • Sun Java System Web Server 6.1、7.0 (*2)
*1 在WebOTX AS中,相当于捆绑了Apache HTTP Server 2.0.63/2.2.15。
*2 带有Intel Itanium处理器的OS,不支持Web服务器产品。 因此,也不支持WebOTX。操作系统如下。
 .NX7700i系列 HP-UX 11i v2, 11i v3

2、数据库服务器
支持的编程语言、数据库服务器产品如下。

  • Java
  • 支持通过符合JDBC 2.0至JDBC4.0规范的JDBC驱动程序连接到任意的DBMS。应用程序以自己的方式连接到数据库服务器、WebOTX AS通过提供的JDBC数据源连接、或是WebOTX的Transaction服务功能和JTA事务协作使用时,必须获取并安装数据库服务器产品中捆绑的JDBC驱动程序。要对以下的JDBC驱动程序进行动作确认。
JDBC供应商 JDBC
驱动类型
支持的数据库服务器
Oracle Type 2、4 Oracle9i Database Release 2 (9.2.0) (*1)
Oracle Database 10g Release 1 (10.1.0)
Oracle Database 10g Release 2 (10.2.0)
Oracle Database 11g Release 1 (11.1.0)
Oracle Database 11g Release 2 (11.2.0)
IBM Type 4 DB2 Universal Database 8.1.4
DB2 V9.1
Microsoft Type 4 Microsoft SQL Server 2000
Microsoft SQL Server 2005
Microsoft SQL Server 2008
Sybase Type 4 Sybase Adaptive Server Enterprise 12.5
DataDirect Type 4 通过“Connect for JDBC 3.3 以上”Oracle连接
Type 3 通过“SequeLink for JDBC 5.0”Oracle连接
PostgreSQL
Development
Group
Type 4 PostgreSQL 7.3.2 (JDBC驱动程序7.3 Build 113) - 8.4.1 (JDBC驱动程序8.4 Build 701) (*2)
Cloudscape Type 4 Cloudscape 3.0.3 (Sun J2EE 1.3.1 SDK中的捆绑者)
Apache Derby Type 4 Apache Derby 10.2.2 - 10.5.3
  • WebOTX AS通过了“Connect for JDBC 3.5”和“Oracle 10g”组合下的Java EE 5规范兼容测试包(Java EE CTS)。
  • 即使对于其他产品,如MySQL Connector/J 5.0等,如果有符合JDBC 2.0至JDBC4.0规范的JDBC驱动程序,可以和WebOTX AS协作使用。但是,请做一个全面的测试。

(注意事项)

*1 为了利用Oracle Real Application Cluster(RAC)和X/Open XA的功能进行二阶段提交,请务必使用以下补丁。关于补丁的详细请参考Oracle公司的信息。
  PSR 9.2.0.7
  PSR 10.1.0.3
*2 如果使用PostgreSQL进行二阶段提交,请使用8.1以上版本的PostgreSQL和8.1-404以上版本的JDBC驱动程序。